/**
 * Represents a coin
 * 
 * @author alchambers
 * @version sp19
 */
public class Coin{
    private int denomination;
    private boolean taken;
    
    /**
     * Creates a new coin with the given denomination
     * 
     * @param denomination
     *              A value representing the coin denomination
     */
    public Coin(int denomination){
        taken = false;
        this.denomination = denomination;
    }
    
    /**
     * Returns the denomination of the coin
     * @return The denomination
     */
    public int getDenomination(){
        return denomination;        
    }

    /**
     * Returns whether the coin has been taken
     * @return True if the coin has been taken, false otherwise
     */
    public boolean isTaken(){
        return taken;
    }    

    /**
     * Sets the coin as having been taken
     */
    public void setTaken(){
        taken = true;
    }
    
}
